attribute highp vec4 a_position;
attribute lowp vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;
uniform lowp vec4 u_screenSize;
varying lowp vec2 v_texCoord;
varying lowp vec4 v_pos;

void main() 
{
	vec4 pos = u_modelViewProjectionMatrix * a_position;
	
	v_texCoord = a_texCoord;
	v_pos = pos;
	gl_Position = pos;
}